Loading...
Searching...
No Matches
casacore::SquareMatrix_global_functions_SqM_global_functions Struct Reference
scimath package (libcasa_scimath) » Mathematics_module

Various global math and IO functions. More...

`#include <SquareMatrix.h>`

## Public Member Functions

SquareMatrix< Complex, 4 > | directProduct (const SquareMatrix< Complex, 2 > &left, const SquareMatrix< Complex, 2 > &right)
| Calculate direct product of two SquareMatrices.
SquareMatrix< Complex, 2 > | conj (const SquareMatrix< Complex, 2 > &m)
| Return conjugate of SquareMatrix.
SquareMatrix< Complex, 4 > | conj (const SquareMatrix< Complex, 4 > &m)
| Return conjugate of SquareMatrix.
SquareMatrix< Complex, 2 > | adjoint (const SquareMatrix< Complex, 2 > &m)
| Return adjoint of SquareMatrix.
SquareMatrix< Complex, 4 > | adjoint (const SquareMatrix< Complex, 4 > &m)
| Return adjoint of SquareMatrix.
ostream & | operator<< (ostream &os, const SquareMatrix< Complex, 2 > &m)
| Write SquareMatrix to output, uses Matrix to do the work.
ostream & | operator<< (ostream &os, const SquareMatrix< Complex, 4 > &m)
ostream & | operator<< (ostream &os, const SquareMatrix< Float, 2 > &m)
ostream & | operator<< (ostream &os, const SquareMatrix< Float, 4 > &m)

## Detailed Description

Various global math and IO functions.

Definition at line 288 of file SquareMatrix.h.

## Member Function Documentation

## adjoint() [1/2]

SquareMatrix< Complex, 2 > casacore::SquareMatrix_global_functions_SqM_global_functions::adjoint | ( | const SquareMatrix< Complex, 2 > & | m | ) |

Return adjoint of SquareMatrix.

## adjoint() [2/2]

SquareMatrix< Complex, 4 > casacore::SquareMatrix_global_functions_SqM_global_functions::adjoint | ( | const SquareMatrix< Complex, 4 > & | m | ) |

Return adjoint of SquareMatrix.

## conj() [1/2]

SquareMatrix< Complex, 2 > casacore::SquareMatrix_global_functions_SqM_global_functions::conj | ( | const SquareMatrix< Complex, 2 > & | m | ) |

Return conjugate of SquareMatrix.

## conj() [2/2]

SquareMatrix< Complex, 4 > casacore::SquareMatrix_global_functions_SqM_global_functions::conj | ( | const SquareMatrix< Complex, 4 > & | m | ) |

Return conjugate of SquareMatrix.

## directProduct()

SquareMatrix< Complex, 4 > casacore::SquareMatrix_global_functions_SqM_global_functions::directProduct | ( | const SquareMatrix< Complex, 2 > & | left,
|  | const SquareMatrix< Complex, 2 > & | right )

Calculate direct product of two SquareMatrices.

## operator<<() [1/4]

ostream & casacore::SquareMatrix_global_functions_SqM_global_functions::operator<< | ( | ostream & | os,
|  | const SquareMatrix< Complex, 2 > & | m )

Write SquareMatrix to output, uses Matrix to do the work.

## operator<<() [2/4]

ostream & casacore::SquareMatrix_global_functions_SqM_global_functions::operator<< | ( | ostream & | os,
|  | const SquareMatrix< Complex, 4 > & | m )

## operator<<() [3/4]

ostream & casacore::SquareMatrix_global_functions_SqM_global_functions::operator<< | ( | ostream & | os,
|  | const SquareMatrix< Float, 2 > & | m )

## operator<<() [4/4]

ostream & casacore::SquareMatrix_global_functions_SqM_global_functions::operator<< | ( | ostream & | os,
|  | const SquareMatrix< Float, 4 > & | m )

The documentation for this struct was generated from the following file:

- scimath/Mathematics/SquareMatrix.h